Package com.independentsoft.office.spreadsheet

# Class ObjectAnchor

java.lang.Object
com.independentsoft.office.spreadsheet.ObjectAnchor

public class ObjectAnchor extends Object
The Class ObjectAnchor. Represents the object anchor (anchor element) of an embedded control or object, tying it to a cell range (CT_ObjectAnchor).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectAnchor()`
  Instantiates a new object anchor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectAnchor`
  `clone()`
  `StartAnchorPoint`
  `getFrom()`
  Gets the top-left anchor point.
  `EndAnchorPoint`
  `getTo()`
  Gets the bottom-right anchor point.
  `boolean`
  `isMoveWithCells()`
  Checks whether the object moves with the cells it is anchored to.
  `boolean`
  `isSizeWithCells()`
  Checks whether the object resizes with the cells it is anchored to.
  `void`
  `setFrom​(StartAnchorPoint from)`
  Sets the top-left anchor point.
  `void`
  `setMoveWithCells​(boolean moveWithCells)`
  Sets whether the object moves with the cells it is anchored to.
  `void`
  `setSizeWithCells​(boolean sizeWithCells)`
  Sets whether the object resizes with the cells it is anchored to.
  `void`
  `setTo​(EndAnchorPoint to)`
  Sets the bottom-right anchor point.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ObjectAnchor

    public ObjectAnchor()
    Instantiates a new object anchor.

- ## Method Details

  - ### clone

    public ObjectAnchor clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isMoveWithCells

    public boolean isMoveWithCells()
    Checks whether the object moves with the cells it is anchored to.
    Returns:
      true, if the object moves with cells

  - ### setMoveWithCells

    public void setMoveWithCells​(boolean moveWithCells)
    Sets whether the object moves with the cells it is anchored to.
    Parameters:
      `moveWithCells` - the new move with cells

  - ### isSizeWithCells

    public boolean isSizeWithCells()
    Checks whether the object resizes with the cells it is anchored to.
    Returns:
      true, if the object resizes with cells

  - ### setSizeWithCells

    public void setSizeWithCells​(boolean sizeWithCells)
    Sets whether the object resizes with the cells it is anchored to.
    Parameters:
      `sizeWithCells` - the new size with cells

  - ### getFrom

    public StartAnchorPoint getFrom()
    Gets the top-left anchor point.
    Returns:
      the from

  - ### setFrom

    public void setFrom​(StartAnchorPoint from)
    Sets the top-left anchor point.
    Parameters:
      `from` - the new from

  - ### getTo

    public EndAnchorPoint getTo()
    Gets the bottom-right anchor point.
    Returns:
      the to

  - ### setTo

    public void setTo​(EndAnchorPoint to)
    Sets the bottom-right anchor point.
    Parameters:
      `to` - the new to